"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.configs = void 0;
const rules_1 = require("../rules");
function generateRecommendedConfig(allRules) {
    return Object.entries(allRules).reduce((memo, [name, rule]) => {
        const { recommended } = rule.meta.docs || {};
        return {
            ...memo,
            ...(recommended ? { [`react-query/${name}`]: recommended } : {}),
        };
    }, {});
}
exports.configs = {
    recommended: {
        plugins: ['react-query'],
        rules: generateRecommendedConfig(rules_1.rules),
    },
};
