"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRangeOfArguments = exports.isPropertyValueUndefined = exports.isPropertyValueNull = void 0;
function isPropertyValueNull(property) {
    const { value } = property;
    return value.type === 'Literal' && value.value === null;
}
exports.isPropertyValueNull = isPropertyValueNull;
function isPropertyValueUndefined(property) {
    const { value } = property;
    return value.type === 'Identifier' && value.name === 'undefined';
}
exports.isPropertyValueUndefined = isPropertyValueUndefined;
function getRangeOfArguments(node) {
    const firstArgument = node.arguments[0];
    const lastArgument = node.arguments[node.arguments.length - 1];
    return firstArgument && lastArgument
        ? [firstArgument.range[0], lastArgument.range[1]]
        : undefined;
}
exports.getRangeOfArguments = getRangeOfArguments;
