"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRule = void 0;
const utils_1 = require("@typescript-eslint/utils");
const detect_react_query_imports_1 = require("./detect-react-query-imports");
const getDocsUrl = (ruleName) => `https://github.com/KubaJastrz/eslint-plugin-react-query/tree/master/docs/rules/${ruleName}.md`;
function createRule({ create, ...rest }) {
    return utils_1.ESLintUtils.RuleCreator(getDocsUrl)({
        ...rest,
        create: (0, detect_react_query_imports_1.detectReactQueryImports)(create),
    });
}
exports.createRule = createRule;
